<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Général
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL OR $_SESSION['user_droit'] > '2'){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}


 //DEBUT TRAITEMENT
 // Correspondance Rang
$rang_table = array("0" => "Webmaster", "1" => "Administration", "2" => "Gestion", "3" => "Communication", "4" => "Membre");
 // Affichage d'un membre pour modif
 if(isset($_GET['utilisateur_id']) && is_numeric($_GET['utilisateur_id']) && $_GET['utilisateur_id'] != null){

	try {
		$m = "SELECT * FROM 'membres' WHERE `id_membre` = :id";
		$check_m = $pdo->prepare($m);
		$check_m->bindParam(':id', $_GET['utilisateur_id'], PDO::PARAM_INT);
		$check_m->setFetchMode(PDO::FETCH_ASSOC);
		$check_m->execute();
	} catch(PDOException $e) {
		// echo $e;
	}
	$infos_du_perso = $check_m->fetch();
	if($infos_du_perso){
		$modif_perso = true;
	}else{
		$modif_perso = false;
	}
	
 }else{
	 $modif_perso = false;
 }
 
 //Suppression du membre
 if(isset($_POST['sup_membre']) && $_POST['sup_membre'] != '' && isset($_POST['id_membre']) && $_POST['id_membre'] != '' && is_numeric($_POST['id_membre'])){
	try {
			$q = "DELETE FROM 'membres' WHERE `id_membre` = :id";
			$check_query = $pdo->prepare($q);
			$check_query->bindParam(':id', $_POST['id_membre'], PDO::PARAM_INT);
			$check_query->execute();
		} catch(PDOException $e) {
			$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Une erreur est survenu
					</div>';
		}
	$mess = '<div class="alert bg-success" role="alert">
				<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Utilisateur supprimé de la base de donnée !
			</div>';
	$modif_perso = false;
 }
 
 // Modification d'un membre
 if(isset($_POST['id_utilisateur']) && $_POST['id_utilisateur'] != '' && isset($_POST['nom_utilisateur']) && $_POST['nom_utilisateur'] != '' && isset($_POST['rang_utilisateur']) && $_POST['rang_utilisateur'] != ''){
	$rename = _SECURISE($_POST['nom_utilisateur']);
	try {
			$q = "UPDATE 'membres' SET  `nom_membre` = :nom, `droit_membre` = :rang WHERE `id_membre` = :id";
			$check_query = $pdo->prepare($q);
			$check_query->bindParam(':id', $_POST['id_utilisateur'], PDO::PARAM_INT);
			$check_query->bindParam(':nom', $rename, PDO::PARAM_STR);
			$check_query->bindParam(':rang', $_POST['rang_utilisateur'], PDO::PARAM_STR);
			$check_query->setFetchMode(PDO::FETCH_ASSOC);
			$check_query->execute();
		} catch(PDOException $e) {
			$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Une erreur est survenu
					</div>';
		}
	$mess = '<div class="alert bg-success" role="alert">
				<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Modification faite !
			</div>';
	$modif_perso = false;
}
 
 //Ceation new membres
 if(isset($_POST['new_nni']) && $_POST['new_nni'] != null && isset($_POST['new_nom']) && $_POST['new_nom'] != null && isset($_POST['new_mdp']) && $_POST['new_mdp'] != null){
	$nni = _SECURISE($_POST['new_nni']);
	$nom = ucfirst(mb_strtolower(_SECURISE($_POST['new_nom'])));
	$password = MDPCrypt(_SECURISE($_POST['new_mdp']));
	$rang = _SECURISE($_POST['new_rang']);
	
	try {
		$q = "INSERT INTO membres (pseudo_membre, nom_membre, mdp_membre, droit_membre) VALUES (:nni, :nom, :mdp, :rang);";
		$check_query = $pdo->prepare($q);
		$check_query->bindParam(':nni', $nni, PDO::PARAM_STR);
		$check_query->bindParam(':nom', $nom, PDO::PARAM_STR);
		$check_query->bindParam(':mdp', $password, PDO::PARAM_STR);
		$check_query->bindParam(':rang', $rang, PDO::PARAM_STR);
		$check_query->execute();
	} catch(PDOException $e) {
		echo $e;
	}
	
 }

// selection des utilisateurs
 try {
		$q = "SELECT * FROM 'membres' WHERE `droit_membre` > 0";
		$check_query = $pdo->prepare($q);
		$check_query->setFetchMode(PDO::FETCH_ASSOC);
		$check_query->execute();
	} catch(PDOException $e) {
		// echo $e;
	}

//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($_SESSION['service_name']); 
 
include('template/admin_utilisateurs.php');


include('template/footer.php');


?>