<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Login
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
if(session_id() == "" && !isset($_SESSION)){ session_start();}
require_once('functions/functions.php');
require_once('functions/sqlite.php');

// $_USERS = _GETUSER();
// var_dump($_USERS);


 //DEBUT TRAITEMENT
if(isset($_GET['DECO']) && $_GET['DECO'] == 'true'){
	unset($_SESSION);
	session_destroy();
	echo '<meta http-equiv="refresh" content="1; index.php">';
} 
 
if(isset($_POST['nni']) && $_POST['nni'] != '' && isset($_POST['secret']) && $_POST['secret'] != ''){
	$nni = filter_input(INPUT_POST, 'nni');
	$password = filter_input(INPUT_POST, 'secret');
	
	if(!empty($nni) && !empty($password)) {
		try {
				$q = "SELECT * FROM 'membres' WHERE `pseudo_membre` = :username";
				$check_query = $pdo->prepare($q);
				$check_query->bindParam(':username', $nni, PDO::PARAM_STR);
				$check_query->setFetchMode(PDO::FETCH_ASSOC);
				$check_query->execute();
			} catch(PDOException $e) {
				// echo $e;
			}
		$perso = $check_query->fetch();
		if(empty($perso) or $perso == null) {
			$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Identifiant et/ou mot de passe incorect !
					</div>';
		} else {
			if(VerifyMDP($password, $perso['mdp_membre'])){
				$_SESSION['user_id'] = $perso['id_membre'];
				$_SESSION['user_nni'] = $nni;
				$_SESSION['user_name'] = $perso['nom_membre'];
				$_SESSION['user_droit'] = $perso['droit_membre'];
				$mess = '<div class="alert bg-success" role="alert">
							<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Bienvenue !
						</div>';
				echo '<meta http-equiv="refresh" content="1;url=./admin.php">';
			}else{
				$mess = '<div class="alert bg-warning" role="alert">
							<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Identifiant et/ou Mot de passe incorect !
						</div>';
			}
		}
	}
 }

include('template/template.php'); 
 
include('template/enter.php');

include('template/footer.php');
?>

