<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Général
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}

 //DEBUT TRAITEMENT

//UPLOAD
if(isset($_POST['envoyer'])) // si formulaire soumis
{
    $content_dir = 'DOCS/'; // dossier où sera déplacé le fichier
	// taille maximum (en octets)
	$taille_maxi = 50*(1024*1024); //50 Mo
	$extensions = array('.png', '.gif', '.jpg', '.webm', '.mp4', '.ogg', '.avi');
    $tmp_file = $_FILES['fichier']['tmp_name'];

    if( !is_uploaded_file($tmp_file) )
    {
		$mess = '<div class="alert bg-warning" role="alert">
					<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Le fichier est introuvable
				</div>';
    }
	
	$taille = filesize($_FILES['fichier']['tmp_name']);
	if($taille>$taille_maxi)
	{
		$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Le fichier est trop gros...
					</div>';
	}
    // on vérifie maintenant l'extension
	$extension = strrchr($_FILES['fichier']['name'], '.');
	$extension = mb_strtolower($extension);
    if(!in_array($extension, $extensions)) //Si l'extension n'est pas dans le tableau
	{
       $mess = '<div class="alert bg-warning" role="alert">
					<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Vous devez uploader un fichier de type png, gif, jpg, jpeg pour une image et mp4, webm, ogg pour une vidéo, en minuscule ...
				</div>';
    }

    // on copie le fichier dans le dossier de destination
    $name_file = $_FILES['fichier']['name'];
	//On formate le nom du fichier ici...
	 $fichier = strtr($name_file, 
		  'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ', 
		  'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
	 $fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $fichier);
	 $fichier = strstr($fichier, '.', true);
	 $fichier = $fichier.'.'.$_POST['actif'].'.'.$_POST['vitesse'].''.$extension;

    if( preg_match('#[\x00-\x1F\x7F-\x9F/\\\\]#', $name_file) )
	{
		$mess = '<div class="alert bg-warning" role="alert">
				<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Nom de fichier non valide
			</div>';
	}
	if(!isset($mess)) //S'il n'y a pas d'erreur, on upload
	{
		if(move_uploaded_file($tmp_file, $content_dir . $fichier))
		{
			$mess = '<div class="alert bg-success" role="alert">
				<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Upload effectué avec succès !
			</div>';
		}else{
			$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Echec de l\'upload !
					</div>';
		}
	}
}


//Create page
if(isset($_POST['type_info']) && $_POST['type_info'] != null && isset($_POST['page_content']) && $_POST['page_content'] != null && isset($_POST['vitesse']) && $_POST['vitesse'] != null) // si formulaire soumis
{
	$file = $_POST['type_info'].'_'.date("d-m-y_H-i-s").'.on.'.$_POST['vitesse'].'.html';
	$content = $_POST['page_content'];
	if(is_numeric(file_put_contents('./DOCS/'.$file, $content))){
		$mess = '<div class="alert bg-success" role="alert">
					<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Page créé avec succès !
				</div>';
	}else{
		$mess = '<div class="alert bg-warning" role="alert">
					<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Echec de la création de la page !
				</div>';
		
	}
}
//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($_SESSION['service_name']); 
 
include('template/new_page.php');


include('template/footer.php');


?>