<?php
// require_once('./init.php');
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
include('./template/template.php');
include('./template/header.php');
template_header($_SESSION['service_name']); 
require_once('./AutoUpdate/AutoUpdate.fct.php');
/*
	@! Utilisation de l'AutoUpdate
	@@ Mise à jour automatique ou installation d'une application web.
	@@ Version 1.4 (10/2016)
	--------------------------------------------------------------------
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
	--------------------------------------------------------------------
	# Le système utilise 2 fonctions
	## CheckUpdate() : vérifie la présence de version(s) plus récente.
	## AutoUpdate() : vérifie la présence de version(s) plus récente ET procéde à l'intallation de la mise a jour si néccésaire.
	## Lors de la mise à jour si des fichiers n'existent pas ils sont créer, ce qui permet de détourner le système en installateur.
	
	CheckUpdate(string server_url, string current_version)
	## server_url = adresse du serveur contenant la liste des versions
	## current_version = version actuelle de l'application
	
	AutoUpdate(string server_url, string current_version [, AutoUpdateDir = './', string install_dir = '../'])
	## server_url = adresse du serveur contenant la liste des versions
	## current_version = version actuelle de l'application
	## AutoUpdateDir = localisation du répertoire du système AutoUpdate (optionnel, ./ par defaut)
	## install_dir = localisation du répertoire racine de l'installation (optionnel, ../ par defaut)
	--------------------------------------------------------------------
	@@ Package: AutoUpdate Functions
	@! Page: UpDate.php
*/
?>
<!--.main-->
	<div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
		<div class="row">
			<ol class="breadcrumb">
				<li><a href="#"><svg class="glyph stroked home"><use xlink:href="#stroked-home"></use></svg></a></li>
				<li class="active">Mise à jour</li>
			</ol>
		</div><!--/.row-->
		
		<div class="row">
			<div class="col-lg-12">
				<h1 class="page-header">Mise à jour</h1>
			</div>
		</div><!--/.row-->
		
		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-default">
					<div class="panel-heading">
						Etat de l'application
					</div>
					<div class="panel-body">
						<div align="center" id="maj_state">
						Vous ne supportez pas JS ...
						</div>
						<div align="center" ><p id="MAJ_INSTAL" class="btn btn-primary">Installer la version<i class="fa fa-arrow-circle-right"></i></p></div>
						<div align="center" id="maj_install_state"></div>
					</div>
				</div>
			</div>
		</div>
	</div>	<!--/.main-->

<script>
  // $("#new-nav").load("./index.php");
  // montreElement("./traitements_shop.php?montre=objets", "#S_O_R");
 jQuery(document).ready(function($){
	montreElement("./functions/update_ajax.php?maj=check", "#maj_state");
 });
 $('#MAJ_INSTAL').click(function(){
	$('#maj_state').html("Installation de la mise à jour ...");
	$('#MAJ_INSTAL').hide();
	montreElement("./functions/update_ajax.php?maj=install", "#maj_install_state");
    });
    function montreElement(url, emplacement) {
	  $(emplacement).html("Chargement en cours ...");
      $(emplacement).load(url);
    }
</script>