<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Admin
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL OR $_SESSION['user_droit'] > '3'){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}
// var_dump($_USERS);

 //DEBUT TRAITEMENT
$module_actif = 0;
$module_inactif = 0;
$page_actif = 0;
$page_inactif = 0;
 
$list_all = glob('DOCS/*.*.*'); //liste tout les modules et pages
foreach($list_all as $mod_key => $mod_value){
	$all_infos = explode('.',$mod_value);
	if($all_infos[3] == 'php'){ //c'est un module
		if($all_infos[1] == 'on'){ // il est actif
			$module_actif = $module_actif+1;
		}else{ // inactif
			$module_inactif = $module_inactif+1;
		}
	}else{ //c'est pas un module, donc une page.
		if($all_infos[1] == 'on'){ // il est actif
			$page_actif = $page_actif+1;
		}else{ // inactif
			$page_inactif = $page_inactif+1;
		}
	}
}

// GESTION ESPACE DISQUE

$allowed_space = _GETCONFIG('allowed_space')['value'];
$space_used = getFolderSize("./DOCS/");
$persent_used = ($space_used/$allowed_space)*100;
if($persent_used >= 80){
	$chartId = 'easypiechart-red';
}elseif($persent_used > 65 && $persent_used < 80){
	$chartId = 'easypiechart-orange';
}else{
	$chartId = 'easypiechart-blue';
}
//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($_SESSION['service_name']); 
 
include('template/admin.php');

include('template/footer.php');
?>

