<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Users
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('init.php');
if(!isset($_SESSION['user_id']) OR $_SESSION['user_id'] == NULL){ echo "<meta http-equiv=\"refresh\" content=\"0;url=enter.php\" />"; exit;}

 //DEBUT TRAITEMENT
if(isset($_POST['n_mdp']) && $_POST['n_mdp'] != ''){
	$password = MDPCrypt($_POST['n_mdp']);
	if($password){
		try {
			$q = "UPDATE 'membres' SET  `mdp_membre` = :password WHERE `id_membre` = :id";
			$check_query = $pdo->prepare($q);
			$check_query->bindParam(':id', $_SESSION['user_id'], PDO::PARAM_INT);
			$check_query->bindParam(':password', $password, PDO::PARAM_STR);
			$check_query->setFetchMode(PDO::FETCH_ASSOC);
			$check_query->execute();
		} catch(PDOException $e) {
			$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Une erreur est survenu
					</div>';
		}
		$mess = '<div class="alert bg-success" role="alert">
					<svg class="glyph stroked checkmark"><use xlink:href="#stroked-checkmark"></use></svg> Modification faite !
				</div>';
	}else{
		$mess = '<div class="alert bg-warning" role="alert">
						<svg class="glyph stroked flag"><use xlink:href="#stroked-flag"></use></svg> Impossible de générer le nouveau mot de passe ! <br> Aucune modification n\'est faite.
					</div>';
	}
	
} 

//FIN TRAITEMENT

include('template/template.php'); 
include('template/header.php');
template_header($_SESSION['service_name']); 
 
include('template/compte.php');


include('template/footer.php');


?>