<?php
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
require_once('../AutoUpdate/AutoUpdate.fct.php');

require_once('../init.php');
/*
	@! Utilisation de l'AutoUpdate
	@@ Mise à jour automatique ou installation d'une application web.
	@@ Version 1.4 (10/2015)
	--------------------------------------------------------------------
	** author: InternetBF
	** Site Web: internetbf.com
	** email: internetbf@gmail.com
	--------------------------------------------------------------------
	# Le système utilise 2 fonctions
	## CheckUpdate() : vérifie la présence de version(s) plus récente.
	## AutoUpdate() : vérifie la présence de version(s) plus récente ET procéde à l'intallation de la mise a jour si néccésaire.
	## Lors de la mise à jour si des fichiers n'existent pas ils sont créer, ce qui permet de détourner le système en installateur.
	
	CheckUpdate(string server_url, string current_version)
	## server_url = adresse du serveur contenant la liste des versions
	## current_version = version actuelle de l'application
	
	AutoUpdate(string server_url, string current_version [, AutoUpdateDir = './', string install_dir = '../'])
	## server_url = adresse du serveur contenant la liste des versions
	## current_version = version actuelle de l'application
	## AutoUpdateDir = localisation du répertoire du système AutoUpdate (optionnel, ./ par defaut)
	## install_dir = localisation du répertoire racine de l'installation (optionnel, ../ par defaut)
	--------------------------------------------------------------------
	@@ Package: AutoUpdate Functions
	@! Page: UpDate.php
*/
$serverCoreUrl = 'http://benserveur.fr.cr/update/MADISS/core/update.json';
// $serverCoreUrl = '../../madiss_maj_archive/update.json';

$currentVersion = _GETCONFIG('application_version')['value'];

if(!isset($currentVersion) or $currentVersion == null){
	echo 'Impossible de récupérer la version actuelle !';
	exit;
}


if(@$_GET['maj'] == 'install'){
	if($update = CheckUpdate($serverCoreUrl, $currentVersion)){
		if(!empty($update['error'])){
			echo '<span class="label label-danger">Error founded : '.$update['error'][0].'</span>';
		}else{
			echo '<br>';
			foreach($update['statut'] as $s){
				
				echo ''.$s.'<br>';
				
			}
			// echo '</ul>';
			// echo 'New version (V '.$update['update']['version'].') founded !<br> Infos: '.$update['update']['infos']['description'].'';
			if($maj = AutoUpdate($serverCoreUrl, $currentVersion, '../AutoUpdate', '../')){
				if(!empty($maj['error'])){
					echo '<br><span class="label label-danger">Error on maj : '.$maj['error'][0].' !</span>';
				}else{
					echo '<br>';
					foreach($maj['statut'] as $step){
						
						echo ''.$step.'<br>';
						
					}
					echo '';
				}
			}
		}
	}else{
		echo 'L\'application est à jour !';
	}
}else if(@$_GET['maj'] == 'check'){
	if($update = CheckUpdate($serverCoreUrl, $currentVersion)){
		if(!empty($update['error'])){
			echo '<span class="label label-danger">Error founded : '.$update['error'][0].'</span>';
		}else{
			echo 'Version actuelle: '.$currentVersion.'<br><br>';
			echo '<span class="badge">New version (V '.$update['update']['version'].') founded !</span><br>'.$update['update']['infos']['description'];
			// echo '<br><br><p id="MAJ_INSTAL" class="btn btn-primary">Installer la version '.$update['update']['version'].'<i class="fa fa-arrow-circle-right"></i></p>';
			// echo '<br> Infos: '.$update['update']['infos']['description'].'';
		}
	}else{
		echo 'L\'application est à jour !';
	}
}else if(@$_GET['maj'] == 'index_check'){
	if($update = CheckUpdate($serverCoreUrl, $currentVersion)){
		if(!empty($update['error'])){
			echo '<span class="label label-danger">Error founded : '.$update['error'][0].'</span>';
		}else{
			echo 'Version actuelle: '.$currentVersion.'<br><br>';
			echo '<span class="badge">New version (V '.$update['update']['version'].') founded !</span><br>'.$update['update']['infos']['description'];
			// echo '<br> Infos: '.$update['update']['infos']['description'].'';
		}
	}else{
		echo 'Version actuelle: '.$currentVersion.'<br>';
		echo 'L\'application est à jour !';
	}
}
// AutoUpdate('server/update.json', '0.1.0');
?>