<?php
/*
	@! MADISS
	@@ MAke DIgital Signage Simple
	@@ Version 1.1 (10/2016)
-----------------------------------------------------------------------------	
	** author: Benoît FACCHINETTI 
	** Site: http://benserveur.fr.cr/MADISS
	** email: benoitfacchinetti@gmail.com
-----------------------------------------------------------------------------
	@@package: Général
	@@version: 1.1
*/
if(!defined('IN_MADISS')){define('IN_MADISS', true);} //On fait en sorte que les includes sachent qu'ils sont appelé par nos pages et non directement par le navigateur.
if(session_id() == "" && !isset($_SESSION)){ session_start();}

 //DEBUT TRAITEMENT
//Gestionnaire de fichier//
$root_dir = 'DOCS';
//FIN TRAITEMENT

//liste des fichiers (plugins) actifs
if(!is_array($_SESSION['last_page'])){$_SESSION['last_page'] = array();} //On definit la session en tableau

$list_plugin = glob('./'.$root_dir.'/*.on.*'); //on liste tout les modules et page actif
$nb_plugin = count($list_plugin)-1; // On compte le nombre total de modules et pages

foreach($list_plugin as $key => $name){
	//Si on à passer tout les modules on vide la session pour recommencer
	if(in_array($nb_plugin, $_SESSION['last_page'])){
		$_SESSION['last_page'] = array();
	}
	if(!in_array($key, $_SESSION['last_page'])){// On met a jour le tableau et on assigne le nouveau module à afficher
		$_SESSION['last_page'][] = $key;
		$plugin_selected = $name;
		break;
	}
}
// Recupere les infos du module a afficher
$infos = explode('.',$plugin_selected);

?>
<title>MADISS</title>
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="pragma" content="no-cache" />

		<?php
		if($infos[4] == 'jpg' OR $infos[4] == 'png' OR $infos[4] == 'gif'){
		?>
		<style>
		img {
			width: 100%;
			height: auto;
			max-height: 90%;
		}
		</style>
		<img src="<?php echo $plugin_selected;?>"/>
		<?php
		}elseif($infos[4] == 'mp4' OR $infos[4] == 'webm' OR $infos[4] == 'ogg' OR $infos[4] == 'avi'){
		?>
		
		<video width="100%" height="100%" src="<?php echo $plugin_selected;?>" controls="controls" autoplay>
			Your browser does not support HTML5 video.
		</video>
		<?php
		}else{
		?>
			<?php include($plugin_selected);?>
			<?php 
			//Si vitesse scroll configuré, on l'applique, sinon on met celle par defaut.
			if(isset($vitesse_scroll) && $vitesse_scroll != null){$vitesse_scroll = $vitesse_scroll;}else{$vitesse_scroll = '100';}
			sleep(1);//On attend 1 sec pour laisser le plugin finir de charger avant de calculer la taille.
			?>
			<script>
				(function() {
				   'use strict';

				   var dbh,sto,num=1,temp=0,scrolldelay=<?php echo $vitesse_scroll;?>;

				function init(){ 
					dbh=document.body.offsetHeight;
					pageScroll();
				 }

				function pageScroll() {
					window.scrollBy(0,num);
					temp+=num;
				if((temp>=dbh)||(temp<=0)){
					num=-num;
				 }
				   sto=setTimeout(function(){pageScroll();},scrolldelay);
				 }
				   window.addEventListener?
				   window.addEventListener('load',init,false):
				   window.attachEvent('onload',init);
				})();
			</script>
		<?php
		}
		?>
		<meta http-equiv="refresh" content="<?php echo $infos[3];?>">